ContextLocalEjb (Apache Tomcat 9.0.119 API Documentation)
Description: declaration: package: org.apache.tomcat.util.descriptor.web, class: ContextLocalEjb

# Class ContextLocalEjb

java.lang.Object
org.apache.tomcat.util.descriptor.web.ResourceBase
org.apache.tomcat.util.descriptor.web.ContextLocalEjb

All Implemented Interfaces:
  `Serializable, Injectable`

public class ContextLocalEjb extends ResourceBase
Representation of a local EJB resource reference for a web application, as represented in a `<ejb-local-ref>` element in the deployment descriptor.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContextLocalEjb()`
  Default constructor for ContextLocalEjb.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `String`
  `getHome()`
  Returns the name of the EJB home implementation class.
  `String`
  `getLink()`
  Returns the link to a Jakarta EE EJB definition.
  `String`
  `getLocal()`
  Returns the name of the EJB local implementation class.
  `int`
  `hashCode()`
  `void`
  `setHome(String home)`
  Sets the name of the EJB home implementation class.
  `void`
  `setLink(String link)`
  Sets the link to a Jakarta EE EJB definition.
  `void`
  `setLocal(String local)`
  Sets the name of the EJB local implementation class.
  `String`
  `toString()`
  Return a String representation of this object.

  ### Methods inherited from class ResourceBase

  `addInjectionTarget, getDescription, getInjectionTargets, getLookupName, getName, getNamingResources, getProperty, getType, listProperties, removeProperty, setDescription, setLookupName, setName, setNamingResources, setProperty, setType`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContextLocalEjb

    public ContextLocalEjb()
    Default constructor for ContextLocalEjb.

- ## Method Details

  - ### getHome

    public String getHome()
    Returns the name of the EJB home implementation class.
    Returns:
      the EJB home class name

  - ### setHome

    public void setHome(String home)
    Sets the name of the EJB home implementation class.
    Parameters:
      `home` - the EJB home class name

  - ### getLink

    public String getLink()
    Returns the link to a Jakarta EE EJB definition.
    Returns:
      the EJB link

  - ### setLink

    public void setLink(String link)
    Sets the link to a Jakarta EE EJB definition.
    Parameters:
      `link` - the EJB link

  - ### getLocal

    public String getLocal()
    Returns the name of the EJB local implementation class.
    Returns:
      the EJB local class name

  - ### setLocal

    public void setLocal(String local)
    Sets the name of the EJB local implementation class.
    Parameters:
      `local` - the EJB local class name

  - ### toString

    public String toString()
    Return a String representation of this object.
    Overrides:
      `toString` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `ResourceBase`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `ResourceBase`